Bug 646894 - File descriptor leaks in single user mode
Summary: File descriptor leaks in single user mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: upstart
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Petr Lautrbach 👨
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-26 15:15 UTC by Petr Lautrbach 👨
Modified: 2010-11-10 01:16 UTC (History)
3 users (show)

Fixed In Version: upstart-0.6.5-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-31 21:32:30 UTC


Attachments (Terms of Use)
send close command for pipe fd to shell (675 bytes, patch)
2010-10-26 15:34 UTC, Petr Lautrbach 👨
no flags Details | Diff

Description Petr Lautrbach 👨 2010-10-26 15:15:28 UTC
Description of problem:
In single user mode there's a message about file
descriptor leak when running pvdisplay and passwd generates avc


Version-Release number of selected component (if applicable):
upstart-0.6.5-9.fc14.x86_64

Steps to Reproduce:
1. boot into sinle
2. run passwd
3. run pvdisplay
  
Actual results:
# passwd
[   59.891476] type=1400 audit(1288105707.709:4): avc:  denied  { read } for  pid=771 comm="passwd" path="pipe:[10176]" dev=pipefs ino=10176 scontext=system_u:system_r:passwd_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=fifo_file
Changing password for user root.
New password:
...

# pvdisplay
File descriptor 9 (pipe:[10176]) leaked on pvdisplay invocation. Parent PID 748: /bin/bash
...

Expected results:
no leaking fd

Comment 1 Petr Lautrbach 👨 2010-10-26 15:34:20 UTC
Created attachment 455799 [details]
send close command for pipe fd to shell

sends close fd command to shell before script defined in job

Comment 2 Fedora Update System 2010-10-26 16:16:02 UTC
upstart-0.6.5-10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/upstart-0.6.5-10.fc14

Comment 3 Fedora Update System 2010-10-26 16:16:08 UTC
upstart-0.6.5-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/upstart-0.6.5-7.fc13

Comment 4 Fedora Update System 2010-10-27 22:36:03 UTC
upstart-0.6.5-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update upstart'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/upstart-0.6.5-7.fc13

Comment 5 Fedora Update System 2010-10-31 21:32:26 UTC
upstart-0.6.5-10.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Miroslav Grepl 2010-11-01 16:15:11 UTC
The fix works great. Thanks.

Comment 7 Fedora Update System 2010-11-10 01:16:21 UTC
upstart-0.6.5-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.